# Find the PSRCHIVE library
#
# The following are set after configuration is done:
#  PSRCHIVE_INCLUDE_DIR
#  PSRCHIVE_CFLAGS
#  PSRCHIVE_LDFLAGS

find_path(PSRCHIVE_BIN_PATH
    NAMES psrchive
    HINTS
    ${PATH})

execute_process (
    COMMAND bash -c "${PSRCHIVE_BIN_PATH}/psrchive --cflags"
    OUTPUT_VARIABLE PSRCHIVE_CFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

execute_process (
    COMMAND bash -c "${PSRCHIVE_BIN_PATH}/psrchive --ldflags"
    OUTPUT_VARIABLE PSRCHIVE_LDFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

set(PSRCHIVE_INCLUDE_DIR ${PSRCHIVE_BIN_PATH}/../include ${PSRCHIVE_BIN_PATH}/../include/epsic)
set(PSRCHIVE_LINK_DIR ${PSRCHIVE_BIN_PATH}/../lib)
set(PSRCHIVE_LDFLAGS ${PSRCHIVE_LDFLAGS})
set(PSRCHIVE_CFLAGS ${PSRCHIVE_CFLAGS})

mark_as_advanced(PSRCHIVE_INCLUDE_DIR PSRCHIVE_LINK_DIR PSRCHIVE_CFLAGS PSRCHIVE_LDFLAGS)
